.paymeet{
  background: #c1ffb6 !important
}

.freemeet{
  background: #eee !important;
}
.sticker.short.online{
  //background: #c1ffb6 !important;
}
.sticker.short.offline{
  //background: #ffead7 !important;
}

.calendar {
  //overflow: hidden;
  .common-card-sticky-head
  {
    z-index: 99;
  }
  .row-calendar-head {
    padding: 15px 15px 0;
    justify-content: space-between;
    align-items: center;

    .pad-bot {
      padding-bottom: 15px;
      padding-left: 10px;
      padding-right: 10px;
    }

    .selected-month {
      text-transform: capitalize;
    }

    .prev-next {
      font-size: 12px;

      i {
        cursor: pointer;

        &:first-child {
          padding-right: 16px;
        }
      }
    }

    .h5 {
      padding-bottom: 0;
    }

    .input-select-wrapper {
      margin-left: auto;

      .css-1pahdxg-control,
      .css-yk16xz-control {
        min-height: 32px;
        min-width: 92px;
        height: 32px;
      }
    }
  }

  .row-day-of-month {
    margin: -1px;
    background: #DAECF6;
    border: #DAECF6 1px solid;

    .col-day-of-month {
      padding: 0 1px 1px 0;
    }

    .day-of-month {
      background: #ffffff;
      min-height: 130px;
      height: 100%;
      padding: 8px;

      .day-of-month-head {
        display: flex;
        justify-content: center;
        text-align: center;
        flex-flow: column;
        padding: 0;
        margin-bottom: 16px;

        .day-inside {
          line-height: 1.2;

          &.day-of-week {
            font-weight: 400;
            font-size: 12px;
            color: #A5AEB7;
            padding-bottom: 2px;
            text-transform: capitalize;

          }

          &.number {
            font-weight: 600;
            font-size: 14px;
            color: #697785;

            .month {
              display: none;
              padding-left: 6px;
            }
          }
        }


      }

      &.inactive {
        background-color: #F3F9FC;

        .day-of-month-head {
          .day-inside {
            &.day-of-week {
              display: none;

            }

            &.number {
              color: #A5AEB7;

              .month {
                display: inline-block;
              }
            }
          }
        }
      }

      &.current {
        .day-of-month-head {
          .day-inside {
            &.day-of-week,
            &.number {
              color: #00A0FF;
            }
          }
        }
      }

      &.weekend:not(.inactive) {
        .day-of-month-head {
          .day-inside {
            &.day-of-week,
            &.number {
              color: rgba(237, 0, 0, 0.5);
            }
          }
        }
      }

      .day-of-month-body {
        .sticker {
          cursor: pointer;
          padding: 3px 12px 5px;
          background: #FFFFFF;
          border: 1px solid #F3F9FC;
          box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.04), 0px 0px 2px rgba(0, 0, 0, 0.06), 0px 0px 1px rgba(0, 0, 0, 0.04);
          margin-bottom: 8px;

          .sticker-head {
            font-size: 12px;
            padding-left: 18px;
            position: relative;

            &::after {
              content: '';
              display: block;
              width: 8px;
              height: 8px;
              border-radius: 50%;
              background: #DAECF6;
              position: absolute;
              top: 50%;
              left: 0;
              transform: translateY(-50%);
            }
          }

          &.online {
            .sticker-head {
              &::after {
                background: #32CB2F;
              }
            }
          }

          &.offline {
            .sticker-head {
              &::after {
                background: #F2994A;
              }
            }
          }
        }
      }
    }
  }

  .row-day-of-week {
    margin: 0;
    padding-left: 53px;

    .col-day-of-week {
      padding: 0;

      &:first-child {
        .time-of-day-current {
          span {
            display: inline-block;
          }
        }
      }
    }

    .day-of-week {
      position: relative;
      min-height: 1201px;
      background-image: linear-gradient(180deg, #daecf6 1%, #ffffff 1%, #ffffff 50%, #daecf6 50%, #daecf6 51%, #ffffff 51%, #ffffff 100%);
      background-size: 100.00px 100.00px;
      margin-top: 71px;
      margin-bottom: 50px;
      border-left: 1px solid #daecf6;

      .time-of-day {
        position: absolute;
        top: 0;
        left: 0;
        transform: translate(-100%, -10px);
        background: #FFFFFF;
        font-size: 12px;
        color: #A5AEB7;
        line-height: 1.8;

        & > * {
          height: 50px;
        }
      }

      .time-of-day-current {
        width: 100%;
        height: 50px;
        position: absolute;
        left: -30px;
        transform: translateY(-10px);
        font-size: 12px;
        color: #00A0FF;
        line-height: 1.8;

        span {
          display: none;
          background: #FFFFFF;
        }

        &::after {
          content: '';
          display: block;
          width: 100%;
          height: 1px;
          background: #00A0FF;
          position: absolute;
          top: 10px;
          left: 30px;
        }
      }
      .day-of-week-head {
        width: 100%;
        height: 71px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: sticky;
        top: 153px;
        background: #fff;
        right: 0;
        transform: translate(0, -100%);
        padding: 15px 24px;
        text-align: center;
        color: #697785;
        z-index: 9;

        .dayweek {
          font-weight: 500;
          font-size: 12px;
          padding-bottom: 2px;
          text-transform: capitalize;
        }


        .daymonth {
          font-weight: 600;
          font-size: 20px;
          padding-bottom: 0px;
        }
      }

      &.current {
        .day-of-week-head {
          color: #00A0FF;
        }
      }

      &.weekend {
        .day-of-week-head {
          color: rgba(237, 0, 0, 0.5);
        }
      }

      .sticker {
        width: calc(100% - 6px);
        padding: 3px 12px 5px;
        background: #FFFFFF;
        border: rgba(218, 236, 246, 0.7) 1px solid;
        box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.04), 0px 0px 2px rgba(0, 0, 0, 0.06), 0px 0px 1px rgba(0, 0, 0, 0.04);
        position: absolute;
        left: 0;
        transform: translateY(0);
        min-height: 25px;
        overflow: hidden;

        .sticker-overflow {
          height: 100%;
          position: relative;
          overflow: hidden;
        }

        .sticker-head {
          font-size: 12px;
          margin-bottom: 5px;
        }

        &.short {

          .sticker-head {
            position: relative;
            padding-left: 18px;

            &::before {
              content: '';
              display: block;
              width: 8px;
              height: 8px;
              border-radius: 50%;
              //background: #DAECF6;
              position: absolute;
              top: 50%;
              left: 0;
              transform: translateY(-50%);
            }
          }
          &.online {
            .sticker-head {
              &::before {
                //background: #32CB2F;
              }
            }
          }

          &.offline {
            .sticker-head {
              &::before {
               // background: #F2994A;
              }
            }
          }
        }

        .time-of-meeting {
          position: relative;
          padding-left: 18px;
          font-size: 12px;
          color: #A5AEB7;


          &::before {
            content: '';
            display: block;
            width: 8px;
            height: 8px;
            border-radius: 50%;
            background: #DAECF6;
            position: absolute;
            top: 50%;
            left: 0;
            transform: translateY(-50%);
          }
        }

        &.online {
          .time-of-meeting {
            &::before {
              background: #32CB2F;
            }
          }
        }

        &.offline {
          .time-of-meeting {
            &::before {
              background: #F2994A;
            }
          }
        }
      }
    }
  }

  .row-meeting-list {
    flex-wrap: nowrap;
    margin-right: -4px;
    margin-left: -4px;

    & > * {
      padding-left: 4px;
      padding-right: 4px;

    }
  }

  .filter-list-style {
    top: 232px;
  }
}
.but{margin-left: 10px}
@media (max-width: 768px) {
  .select-top {
    position: absolute;
    top: 57px;
    left: 100px;
    width: 50%;

  }
  .table-container .flex-table .flex-row:first-child
  {
    min-height: 70px;
  }
  .table-container .flex-row
  {
    display: flex;
  }
  .row-calendar-head .col-xl-auto{
    float: left;
    width: 50%;
  }
  .calendar .row-calendar-head .input-select-wrapper{
    width: 50%;
    float: left;
  }
  .cal-mob{
    display: block !important;
  }
  .cal-desc{
    display: none;
  }
}
@media (min-width: 322px) {
  .calendar {
    .filter-list-style {
      top: 0px;
    }
  }
}

@media (min-width: 375px) {
  .calendar {
    .row-meeting-list {
      flex-wrap: nowrap;
      margin-right: -8px;
      margin-left: -8px;

      & > * {
        padding-left: 8px;
        padding-right: 8px;

      }
    }
  }
}

@media (min-width: 576px) {
  .calendar {
    .row-calendar-head {
      padding: 24px 24px 0;

      .pad-bot {
        padding-bottom: 24px;
      }
    }

    .filter-list-style {
      top: 0px;
    }
  }
}

@media (min-width: 630px) {
  .calendar {
    .filter-list-style {
      top: 0px;
    }
  }
}

@media (min-width: 768px) {
  .calendar {
    .row-day-of-week {
      .col-day-of-week {
        &:nth-child(even) {
          .time-of-day {
            display: none;
          }
        }
      }
    }
  }

}

@media (min-width: 769px) {
  .calendar {
    .table-container {
      .flex-table.header {
        top: 125px;
      }
    }
  }
}

@media (min-width: 1200px) {
  .calendar {
    .row-day-of-month {
      & > * {
        flex: 0 0 14.285%;
        max-width: 14.285%;
      }
    }

    .row-day-of-week {
      & > * {
        flex: 0 0 14.285%;
        max-width: 14.285%;
      }

      .col-day-of-week {
        &:nth-child(odd):not(:first-child) {
          .time-of-day {
            display: none;
          }
        }


        &:first-child {
          .time-of-day-current {
            span {
              display: inline-block;
            }
          }
        }


      }
    }

    .table-container {
      .flex-table.header {
        top: 82px;
      }
    }
  }
}
.calendar .row-day-of-week
{
  margin-top: -350px;
  
}
.cal-mob{
  display: none;
}



